diff --combined doc/src/sgml/ref/alter_table.sgml
index 1e4a327327,ec6b4c3311..0000000000
--- a/doc/src/sgml/ref/alter_table.sgml
+++ b/doc/src/sgml/ref/alter_table.sgml
@@@ -377,11 -377,6 +377,11 @@@ WITH ( MODULUS <replaceable class="para
        are added to partitioned tables; see <xref linkend="sql-createtable" />.
       </para>
  
 +     <para>
 +     Adding a foreign key requires taking a <literal>SHARE ROW EXCLUSIVE<literal>
 +     lock on the referenced table.
 +     </para>
 +
      </listitem>
     </varlistentry>
  
diff --combined doc/src/sgml/ref/create_table.sgml
index a974bea6b1,5a19f94ce9..0000000000
--- a/doc/src/sgml/ref/create_table.sgml
+++ b/doc/src/sgml/ref/create_table.sgml
@@@ -993,8 -993,6 +993,8 @@@ WITH ( MODULUS <replaceable class="para
        unique or primary key constraint in the referenced table.  The user
        must have <literal>REFERENCES</literal> permission on the referenced table
        (either the whole table, or the specific referenced columns).
 +      Addding a foreign key constraint requires taking a <literal>SHARE ROW
 +      EXCLUSIVE <literal> lock on the referenced table.
        Note that foreign key constraints cannot be defined between temporary
        tables and permanent tables.  Also note that while it is possible to
        define a foreign key on a partitioned table, it is not possible to
